GET /snapshots
List snapshots
List all snapshots for the team
Parameters
sandboxID·string· query · optionalFilter snapshots by source sandbox ID
name·string· query · optionalFilter snapshots by name or ID, optionally tag-qualified (e.g. "my-snapshot", "my-team/my-snapshot" or "my-snapshot:v1").
limit·integer· query · optionalMaximum number of items to return per page
Format:
int32Default:
100Minimum:
1Maximum:
100nextToken·string· query · optionalCursor to start the list from
Responses
200
Successfully returned snapshots
Response headers
X-Next-Token·string· response headerCursor to fetch the next page of results, if more exist
Content-Type: application/json
Schema: array<SnapshotInfo>
snapshotID·string· requiredIdentifier of the snapshot template including the tag. Uses namespace/alias when a name was provided (e.g. team-slug/my-snapshot:default), otherwise falls back to the raw template ID (e.g. abc123:default).
names·array<string>· requiredFull names of the snapshot template including team namespace and tag (e.g. team-slug/my-snapshot:v2)
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError